package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRArchivesBorrowDTO]
 */
@Data
public class HRArchivesBorrowDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [HRARCHIVESBORROWID]
     *
     */
    @JSONField(name = "hrarchivesborrowid")
    @JsonProperty("hrarchivesborrowid")
    private String hrarchivesborrowid;

    /**
     * 属性 [HRARCHIVESBORROWNAME]
     *
     */
    @JSONField(name = "hrarchivesborrowname")
    @JsonProperty("hrarchivesborrowname")
    private String hrarchivesborrowname;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [HRARCHIVESID]
     *
     */
    @JSONField(name = "hrarchivesid")
    @JsonProperty("hrarchivesid")
    private String hrarchivesid;

    /**
     * 属性 [BORROWSTATE]
     *
     */
    @JSONField(name = "borrowstate")
    @JsonProperty("borrowstate")
    private String borrowstate;

    /**
     * 属性 [BORROWMAN]
     *
     */
    @JSONField(name = "borrowman")
    @JsonProperty("borrowman")
    private String borrowman;

    /**
     * 属性 [BEGINTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "begintime" , format="yyyy-MM-dd")
    @JsonProperty("begintime")
    private Timestamp begintime;

    /**
     * 属性 [ENDTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "endtime" , format="yyyy-MM-dd")
    @JsonProperty("endtime")
    private Timestamp endtime;

    /**
     * 属性 [CHECKMAN]
     *
     */
    @JSONField(name = "checkman")
    @JsonProperty("checkman")
    private String checkman;

    /**
     * 属性 [CHECKTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "checktime" , format="yyyy-MM-dd")
    @JsonProperty("checktime")
    private Timestamp checktime;

    /**
     * 属性 [BORROWREASON]
     *
     */
    @JSONField(name = "borrowreason")
    @JsonProperty("borrowreason")
    private String borrowreason;


    /**
     * 设置 [HRARCHIVESBORROWNAME]
     */
    public void setHrarchivesborrowname(String  hrarchivesborrowname){
        this.hrarchivesborrowname = hrarchivesborrowname ;
        this.modify("hrarchivesborrowname",hrarchivesborrowname);
    }

    /**
     * 设置 [HRARCHIVESID]
     */
    public void setHrarchivesid(String  hrarchivesid){
        this.hrarchivesid = hrarchivesid ;
        this.modify("hrarchivesid",hrarchivesid);
    }

    /**
     * 设置 [BORROWSTATE]
     */
    public void setBorrowstate(String  borrowstate){
        this.borrowstate = borrowstate ;
        this.modify("borrowstate",borrowstate);
    }

    /**
     * 设置 [BORROWMAN]
     */
    public void setBorrowman(String  borrowman){
        this.borrowman = borrowman ;
        this.modify("borrowman",borrowman);
    }

    /**
     * 设置 [BEGINTIME]
     */
    public void setBegintime(Timestamp  begintime){
        this.begintime = begintime ;
        this.modify("begintime",begintime);
    }

    /**
     * 设置 [ENDTIME]
     */
    public void setEndtime(Timestamp  endtime){
        this.endtime = endtime ;
        this.modify("endtime",endtime);
    }

    /**
     * 设置 [CHECKMAN]
     */
    public void setCheckman(String  checkman){
        this.checkman = checkman ;
        this.modify("checkman",checkman);
    }

    /**
     * 设置 [CHECKTIME]
     */
    public void setChecktime(Timestamp  checktime){
        this.checktime = checktime ;
        this.modify("checktime",checktime);
    }

    /**
     * 设置 [BORROWREASON]
     */
    public void setBorrowreason(String  borrowreason){
        this.borrowreason = borrowreason ;
        this.modify("borrowreason",borrowreason);
    }


}

