package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HROrgAddressDTO]
 */
@Data
public class HROrgAddressDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRORGADDRESSNAME]
     *
     */
    @JSONField(name = "hrorgaddressname")
    @JsonProperty("hrorgaddressname")
    private String hrorgaddressname;

    /**
     * 属性 [HRORGADDRESSID]
     *
     */
    @JSONField(name = "hrorgaddressid")
    @JsonProperty("hrorgaddressid")
    private String hrorgaddressid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [ADDRESS]
     *
     */
    @JSONField(name = "address")
    @JsonProperty("address")
    private String address;

    /**
     * 属性 [POSTCODE]
     *
     */
    @JSONField(name = "postcode")
    @JsonProperty("postcode")
    private String postcode;

    /**
     * 属性 [USES]
     *
     */
    @JSONField(name = "uses")
    @JsonProperty("uses")
    private String uses;

    /**
     * 属性 [MAINADDRESS]
     *
     */
    @JSONField(name = "mainaddress")
    @JsonProperty("mainaddress")
    private Integer mainaddress;

    /**
     * 属性 [HRORGANIZATIONID]
     *
     */
    @JSONField(name = "hrorganizationid")
    @JsonProperty("hrorganizationid")
    private String hrorganizationid;


    /**
     * 设置 [HRORGADDRESSNAME]
     */
    public void setHrorgaddressname(String  hrorgaddressname){
        this.hrorgaddressname = hrorgaddressname ;
        this.modify("hrorgaddressname",hrorgaddressname);
    }

    /**
     * 设置 [ADDRESS]
     */
    public void setAddress(String  address){
        this.address = address ;
        this.modify("address",address);
    }

    /**
     * 设置 [POSTCODE]
     */
    public void setPostcode(String  postcode){
        this.postcode = postcode ;
        this.modify("postcode",postcode);
    }

    /**
     * 设置 [USES]
     */
    public void setUses(String  uses){
        this.uses = uses ;
        this.modify("uses",uses);
    }

    /**
     * 设置 [MAINADDRESS]
     */
    public void setMainaddress(Integer  mainaddress){
        this.mainaddress = mainaddress ;
        this.modify("mainaddress",mainaddress);
    }

    /**
     * 设置 [HRORGANIZATIONID]
     */
    public void setHrorganizationid(String  hrorganizationid){
        this.hrorganizationid = hrorganizationid ;
        this.modify("hrorganizationid",hrorganizationid);
    }


}

