package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRPaperDTO]
 */
@Data
public class HRPaperDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRPAPERID]
     *
     */
    @JSONField(name = "hrpaperid")
    @JsonProperty("hrpaperid")
    private String hrpaperid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [HRPAPERNAME]
     *
     */
    @JSONField(name = "hrpapername")
    @JsonProperty("hrpapername")
    private String hrpapername;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [ACTIVETIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "activetime" , format="yyyy-MM-dd")
    @JsonProperty("activetime")
    private Timestamp activetime;

    /**
     * 属性 [ATTACHMENT]
     *
     */
    @JSONField(name = "attachment")
    @JsonProperty("attachment")
    private String attachment;

    /**
     * 属性 [PUBLISHER]
     *
     */
    @JSONField(name = "publisher")
    @JsonProperty("publisher")
    private String publisher;

    /**
     * 属性 [PUBLICATION]
     *
     */
    @JSONField(name = "publication")
    @JsonProperty("publication")
    private String publication;

    /**
     * 属性 [PUBLICATIONNUM]
     *
     */
    @JSONField(name = "publicationnum")
    @JsonProperty("publicationnum")
    private String publicationnum;

    /**
     * 属性 [POSITION]
     *
     */
    @JSONField(name = "position")
    @JsonProperty("position")
    private BigInteger position;


    /**
     * 设置 [HRPAPERNAME]
     */
    public void setHrpapername(String  hrpapername){
        this.hrpapername = hrpapername ;
        this.modify("hrpapername",hrpapername);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [ACTIVETIME]
     */
    public void setActivetime(Timestamp  activetime){
        this.activetime = activetime ;
        this.modify("activetime",activetime);
    }

    /**
     * 设置 [ATTACHMENT]
     */
    public void setAttachment(String  attachment){
        this.attachment = attachment ;
        this.modify("attachment",attachment);
    }

    /**
     * 设置 [PUBLISHER]
     */
    public void setPublisher(String  publisher){
        this.publisher = publisher ;
        this.modify("publisher",publisher);
    }

    /**
     * 设置 [PUBLICATION]
     */
    public void setPublication(String  publication){
        this.publication = publication ;
        this.modify("publication",publication);
    }

    /**
     * 设置 [PUBLICATIONNUM]
     */
    public void setPublicationnum(String  publicationnum){
        this.publicationnum = publicationnum ;
        this.modify("publicationnum",publicationnum);
    }

    /**
     * 设置 [POSITION]
     */
    public void setPosition(BigInteger  position){
        this.position = position ;
        this.modify("position",position);
    }


}

